/**
* Script: main.js
* Written by: Bruce Pascoe
* Updated: 5/13/2013
**/

RequireScript('kh2Bar.js');

function game()
{
	var hp = 1025, damage = 0;
	var font = GetSystemFont();
	font.setColorMask(CreateColor(255, 255, 255, 255));
	var lifeBar = new kh2Bar(hp);
	SetFrameRate(30);
	while (true) {
		ApplyColorMask(CreateColor(64, 64, 64, 255));
		font.drawText(10, 50, "HP: " + hp);
		font.drawText(130, 50, "hold SPACE to deal damage!");
		if (damage > 0) {
			font.drawText(110, 80, "took " + damage + " damage!");
		}
		lifeBar.render(160, 10, 150, 12);
		FlipScreen();
		lifeBar.update();
		if (AreKeysLeft()) {
			if (GetKey() == KEY_SPACE) {
				var damage = Math.ceil(Math.random() * 3);
				hp = Math.max(hp - damage, 0);
				lifeBar.setReading(hp);
			}
			while (AreKeysLeft()) GetKey();
		}
	}
}